## yorick-yeti 6.3.3

=== Makefile ===
#
# Makefile -
#
#	Top-level Makefile for Yeti package and plugins.
#
#------------------------------------------------------------------------------

# These values filled in by: yorick -batch make.i
Y_MAKEDIR=/home/soft/local/libexec/yorick
Y_EXE=/home/soft/local/libexec/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/home/soft/local/libexec/yorick
Y_EXE_SITE=/home/soft/local/libexec/yorick

#---------------------------------------------------------- configuration flags

# These values filled in by: yorick -batch config.i
YETI_PKGS = yeti yeti_fftw yeti_gsl yeti_regex yeti_tiff
YETI_VERSION_MAJOR = 6
YETI_VERSION_MINOR = 3
YETI_VERSION_MICRO = 2
YETI_VERSION_SUFFIX = ""
YORICK_VERSION_MAJOR = 2
YORICK_VERSION_MINOR = 2
YORICK_VERSION_MICRO = 0
YORICK_VERSION_SUFFIX = "x"

SUBDIRS = $(YETI_PKGS) doc

TMPDIR=/tmp

DISTRIB_PKGS = yeti yeti_fftw yeti_gsl yeti_regex yeti_tiff
DISTRIB_DIRS = doc $(DISTRIB_PKGS)
DISTRIB_FILES = AUTHORS LICENSE NEWS README VERSION \
	Makefile Makefile.in configure config.h.in config.i

#------------------------------------------------------------------------------

default: all

all: check
	@for dir in $(SUBDIRS); do \
	  (cd $$dir; make); \
	done

check:
	@if test -z "$(YETI_PKGS)" -o ! -r config.h ; then \
	  echo "***************************************************************"; \
	  echo "  Before building Yeti, you must run the configuration script."; \
	  echo "  This is achieved by a command like:"; \
	  echo "      yorick -batch ./config.i [...]"; \
	  echo ""; \
	  echo "  See README file for detailled instructions.  For a summary"; \
	  echo "  of configuration options, you can also try:"; \
	  echo "      yorick -batch ./config.i --help"; \
	  echo "***************************************************************"; \
	  false; \
	else \
	  true; \
	fi

install: check
	@for dir in $(SUBDIRS); do \
	  (cd $$dir; make $@); \
	done
#	@for src in AUTHORS COPYING NEWS README VERSION; do \
#	  dst=$(Y_EXE_SITE)/doc/$$src.yeti; \
#	  cp -pf $$src $$dst; \
#	  chmod 644 $$dst; \
#	done

clean: check
	rm -f *~ *.tmp
	@for dir in $(SUBDIRS); do \
	  (cd $$dir; make $@); \
	done

distclean: clean
	rm -f config.h Makefile

distrib:
	@version=`cat VERSION`; \
	target="yeti-$${version}"; \
	tmpdir="$(TMPDIR)/$${target}"; \
	archive="$${tmpdir}.tar.bz2"; \
	if test -d "$${tmpdir}"; then \
	  echo "directory $${tmpdir} already exists"; \
	  false; \
	else \
	  olddir=`pwd`; \
	  mkdir -p "$${tmpdir}"; \
	  for file in $(DISTRIB_FILES); do \
	    cp -a "$${file}" "$${tmpdir}/$${file}"; \
	  done; \
	  for dir in $(DISTRIB_DIRS); do \
	    cp -a "$${dir}" "$${tmpdir}/$${dir}"; \
	  done; \
	  cd "$${tmpdir}"; \
	  touch config.h; \
	  make clean YETI_PKGS="$(DISTRIB_PKGS)"; \
	  rm -f config.h; \
	  rm -rf */RCS */*~; \
	  cd "$(TMPDIR)"; \
	  tar cf - "$${target}" | bzip2 -9 > "$${archive}"; \
	  cd "$${olddir}"; \
	  rm -rf "$${tmpdir}"; \
	  echo "archive is: $${archive}"; \
	fi

=== doc/Makefile ===
.SUFFIXES: .c .i .o .h .so .dll .dyn .a .exe .txt .text .ps .pdf .html
#------------------------------------------------------------------------------
# these values filled in by: yorick -batch make.i
Y_MAKEDIR=/home/soft/local/libexec/yorick
Y_EXE=/home/soft/local/libexec/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/home/soft/local/libexec/yorick
Y_EXE_SITE=/home/soft/local/libexec/yorick

DOCDIR=$(Y_EXE_SITE)/doc

# command and rules to produce documentation
PREFIX = $(HOME)/sw
BINDIR = $(PREFIX)/bin
ASCIIDOC = $(BINDIR)/asciidoc
A2X = $(BINDIR)/a2x
DOCTYPE = article

default: doc

clean:
	rm -f *~ core

doc: make_doc.i
	$(Y_EXE) -batch ./make_doc.i

install: doc
	for file in *.doc; do \
	  cp -pf $$file $(DOCDIR)/$$file; \
	  chmod 644 $(DOCDIR)/$$file; \
	done
	cp -pf ../README $(DOCDIR)/README.yeti; \
	chmod 644 $(DOCDIR)/README.yeti

html: yeti.html README



../README: yeti.text
	rm -f $@
	cp -a $< $@
	chmod 444 $@

%.html: %.txt Makefile
	$(ASCIIDOC) -b xhtml11 -a icons -o $@ $<

%.text: %.txt Makefile
	$(A2X) -d $(DOCTYPE) -f text --icons --icons-dir=./pics $<


#------------------------------------------------------------------------------

=== yeti/Makefile ===
#
# Makefile -
#
# Makefile for Yeti main plugin.
#
#------------------------------------------------------------------------------
#
# Copyright (C) 2006-2010, Eric Thiébaut <thiebaut@obs.univ-lyon1.fr>
#
# This software is governed by the CeCILL-C license under French law and
# abiding by the rules of distribution of free software.  You can use, modify
# and/or redistribute the software under the terms of the CeCILL-C license as
# circulated by CEA, CNRS and INRIA at the following URL
# "http://www.cecill.info".
#
# As a counterpart to the access to the source code and rights to copy,
# modify and redistribute granted by the license, users are provided only
# with a limited warranty and the software's author, the holder of the
# economic rights, and the successive licensors have only limited liability.
#
# In this respect, the user's attention is drawn to the risks associated with
# loading, using, modifying and/or developing or reproducing the software by
# the user in light of its specific status of free software, that may mean
# that it is complicated to manipulate, and that also therefore means that it
# is reserved for developers and experienced professionals having in-depth
# computer knowledge. Users are therefore encouraged to load and test the
# software's suitability as regards their requirements in conditions enabling
# the security of their systems and/or data to be ensured and, more
# generally, to use and operate it in the same conditions as regards
# security.
#
# The fact that you are presently reading this means that you have had
# knowledge of the CeCILL-C license and that you accept its terms.
#------------------------------------------------------------------------------
#
# $Id: Makefile,v 1.1 2006/07/19 14:58:50 eric Exp $
# $Log: Makefile,v $
# Revision 1.1  2006/07/19 14:58:50  eric
# Initial revision
#
#------------------------------------------------------------------------------

# these values filled in by: yorick -batch make.i
Y_MAKEDIR=/home/soft/local/libexec/yorick
Y_EXE=/home/soft/local/libexec/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/home/soft/local/libexec/yorick
Y_EXE_SITE=/home/soft/local/libexec/yorick

#----------------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

#------------------------------------------------------ macros for this package

PKG_NAME=yeti
PKG_I=yeti.i

OBJS = yeti_convolve.o \
       yeti_cost.o \
       yeti_hash.o \
       yeti_sort.o \
       yeti_math.o \
       yeti_misc.o \
       yeti_morph.o \
       yeti_new.o \
       yeti_rgl.o \
       yeti_sparse.o \
       yeti_symlink.o \
       yeti_utils.o

# change to give the executable a name other than yorick
PKG_EXENAME = yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS =
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS = -I..
PKG_LDFLAGS =

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=$(PKG_NAME)$(PLUG_SFX) $(PKG_NAME).dll $(PKG_NAME).so

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=yeti_yhdf.i

#-------------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

#------------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

yeti_convolve.o: yeti.h
#yeti_cost.o:
yeti_eigen.o: yeti_eigen.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -DYORICK -o $@ -c $<
yeti_hash.o: yeti.h ../config.h
yeti_heapsort.o: yeti.h ../config.h
yeti_math.o: yeti.h ../config.h
yeti_misc.o: yeti.h ../config.h
yeti_morph.o: yeti.h ../config.h
yeti_rgl.o: yeti_rgl.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -DYORICK -o $@ -c $<
yeti_utils.o: yeti.h ../config.h
#yeti_new.o:

#
# Local Variables:
# mode: Makefile
# tab-width: 8
# fill-column: 78
# coding: utf-8
# End:
#-------------------------------------------------------------- end of Makefile

=== yeti_fftw/Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=/home/soft/local/libexec/yorick
Y_EXE=/home/soft/local/libexec/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/home/soft/local/libexec/yorick
Y_EXE_SITE=/home/soft/local/libexec/yorick

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=yeti_fftw
PKG_I=yeti_fftw.i

OBJS=yeti_fftw.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS = -L/home/soft/local/lib -lrfftw -lfftw
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS = -I/home/soft/local/include -DHAVE_FFTW=1
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

# -------------------------------------------------------- end of Makefile

=== yeti_gsl/Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=/home/soft/local/libexec/yorick
Y_EXE=/home/soft/local/libexec/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/home/soft/local/libexec/yorick
Y_EXE_SITE=/home/soft/local/libexec/yorick

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=yeti_gsl
PKG_I=yeti_gsl.i

OBJS=yeti_gsl.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS = -lgsl -lgslcblas
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS =  -DHAVE_GSL=1
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=cmp.tmp1 cmp.tmp2

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

cmp-sf:
	grep 'FN.gsl_sf' <yeti_gsl.c \
	  | sed 's/FN//g;s/[^0-9A-Za-z_]/ /g;s/  */\n/g;' \
	  | sort -u >cmp.tmp1
	grep '^[ 	]*extern[ 	]' <yeti_gsl.i \
	  | sed 's/extern//g;s/[^0-9A-Za-z_]/ /g;s/  */\n/g;' \
	  | grep 'gsl_sf_' \
	  | sort -u >cmp.tmp2
	diff -B cmp.tmp1 cmp.tmp2
# -------------------------------------------------------- end of Makefile

=== yeti_regex/Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=/home/soft/local/libexec/yorick
Y_EXE=/home/soft/local/libexec/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/home/soft/local/libexec/yorick
Y_EXE_SITE=/home/soft/local/libexec/yorick

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=yeti_regex
PKG_I=yeti_regex.i

OBJS=yeti_regex.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS = 
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS = 
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

yeti_regex.o: yeti_regex.c

# -------------------------------------------------------- end of Makefile

=== yeti_tiff/Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=/home/soft/local/libexec/yorick
Y_EXE=/home/soft/local/libexec/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/home/soft/local/libexec/yorick
Y_EXE_SITE=/home/soft/local/libexec/yorick

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=yeti_tiff
PKG_I=yeti_tiff.i

OBJS=yeti_tiff.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS = -ltiff
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS =  -DHAVE_TIFF=1
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

# -------------------------------------------------------- end of Makefile

=== debian/changelog ===
yorick-yeti (6.3.3-2) unstable; urgency=low

  * Bug fix: "please build-depend on libtiff-dev, not libtiff4-dev",
    thanks to Jay Berkenbilt (Closes: #736054).
  * Remove build-dep on libgsl0-dev.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 31 Mar 2014 17:16:53 +0200

yorick-yeti (6.3.3-1) unstable; urgency=low

  * New upstream release
  * Deprecate yorick-yeti-gsl in favor of yorick-ygsl
  * Update maintainer address
  * Check against Standards Version 3.9.5

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 20 Feb 2014 12:36:23 +0100

=== debian/control ===
Source: yorick-yeti
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.06), fftw-dev, libtiff-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/debian-science/packages/yorick-yeti.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-yeti.git
Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/yeti.html

Package: yorick-yeti
Architecture: any
Depends: yorick (>= 2.1.06), ${shlibs:Depends}, ${misc:Depends}
Description: utility plugin for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti package implements:
 .
   * hash table objects
   * wavelet filtering ("a trou" method)
   * fast convolution along a chosen dimension with various border conditions
   * more string functions
   * memory hacking routines
   * more math functions (sinc, round, arc)
   * generalized matrix-vector multiplication (with possibly sparse matrix)
   * routines to query/check Yorick's symbols
   * morpho-math operators
   * ...

Package: yorick-yeti-tiff
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: TIFF image format input for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti-tiff package implements support for reading TIFF images.

Package: yorick-yeti-regex
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: POSIX regular expressions for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti-regex package implements support for POSIX regular
 expressions.

Package: yorick-yeti-fftw
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: FFT plugin for the Yorick language
 Yeti is a collection of extension plugins for Yorick (a fast interpreted
 interactive data processing language).
 .
 The yorick-yeti-fftw package implements complex, real-complex and complex-real
 fast fourier transform using FFTW2 (the Fastest Fourier Transform in the West -
 version 2)

Package: yorick-yeti-gsl
Architecture: all
Depends: yorick-ygsl, ${misc:Depends}
Section: oldlibs
Description: dummy transitional package
 This package has been deprecated in favor of yorick-ygsl, on which it
 now depends. yorick-yeti-ygsl should be automatically removed and
 replaced with yorick-ygsl on upgrades.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	yorick -batch debian/check.i
endif

#remove doc from SUBDIRS
override_dh_auto_build:
	$(MAKE) SUBDIRS="yeti yeti_fftw yeti_regex yeti_tiff" \
	        COPT_DEFAULT="" \
	        Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	        Y_LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_installyorick

clean:
	dh_testdir
	dh_testroot
	touch config.h
	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean
ifeq (,$(shell head -1 config.h))
	rm -f config.h
endif
	dh_clean --exclude=./yeti_regex/glibc/regcomp.c.orig \
	         --exclude=./yeti_regex/glibc/regexec.c.orig \
		 yeti/zzyeti_start.i

=== debian/watch ===
version=3
opts="downloadurlmangle=s/\?Software\/Yeti\/.\///" \
 http://cral.univ-lyon1.fr/labo/perso/eric.thiebaut/?Software/Yeti/Downloads \
 .*/downloads/yorick/yeti-(.*)\.tar\.bz2

## yorick-yeti 6.4.0

=== core/Makefile ===
#
# Makefile -
#
# Makefile for Yeti main plugin.
#
#------------------------------------------------------------------------------
#
# Copyright (C) 2006-2010, Eric Thiébaut <thiebaut@obs.univ-lyon1.fr>
#
# This software is governed by the CeCILL-C license under French law and
# abiding by the rules of distribution of free software.  You can use, modify
# and/or redistribute the software under the terms of the CeCILL-C license as
# circulated by CEA, CNRS and INRIA at the following URL
# "http://www.cecill.info".
#
# As a counterpart to the access to the source code and rights to copy,
# modify and redistribute granted by the license, users are provided only
# with a limited warranty and the software's author, the holder of the
# economic rights, and the successive licensors have only limited liability.
#
# In this respect, the user's attention is drawn to the risks associated with
# loading, using, modifying and/or developing or reproducing the software by
# the user in light of its specific status of free software, that may mean
# that it is complicated to manipulate, and that also therefore means that it
# is reserved for developers and experienced professionals having in-depth
# computer knowledge. Users are therefore encouraged to load and test the
# software's suitability as regards their requirements in conditions enabling
# the security of their systems and/or data to be ensured and, more
# generally, to use and operate it in the same conditions as regards
# security.
#
# The fact that you are presently reading this means that you have had
# knowledge of the CeCILL-C license and that you accept its terms.
#------------------------------------------------------------------------------

# these values filled in by: yorick -batch make.i
Y_MAKEDIR=
Y_EXE=
Y_EXE_PKGS=
Y_EXE_HOME=
Y_EXE_SITE=
Y_HOME_PKG=

#----------------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

#------------------------------------------------------ macros for this package

PKG_NAME=yeti
PKG_I=yeti.i

OBJS = yeti_convolve.o \
       yeti_cost.o \
       yeti_hash.o \
       yeti_sort.o \
       yeti_math.o \
       yeti_misc.o \
       yeti_morph.o \
       yeti_new.o \
       yeti_rgl.o \
       yeti_sparse.o \
       yeti_symlink.o \
       yeti_utils.o

# change to give the executable a name other than yorick
PKG_EXENAME = yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS =
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS = -I..
PKG_LDFLAGS =

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=$(PKG_NAME)$(PLUG_SFX) $(PKG_NAME).dll $(PKG_NAME).so

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=yeti_yhdf.i

#-------------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

#------------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

yeti_convolve.o: yeti.h
#yeti_cost.o:
yeti_eigen.o: yeti_eigen.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -DYORICK -o $@ -c $<
yeti_hash.o: yeti.h ../config.h
yeti_heapsort.o: yeti.h ../config.h
yeti_math.o: yeti.h ../config.h
yeti_misc.o: yeti.h ../config.h
yeti_morph.o: yeti.h ../config.h
yeti_rgl.o: yeti_rgl.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -DYORICK -o $@ -c $<
yeti_utils.o: yeti.h ../config.h
#yeti_new.o:

#
# Local Variables:
# mode: Makefile
# tab-width: 8
# fill-column: 78
# coding: utf-8
# End:
#-------------------------------------------------------------- end of Makefile

=== doc/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 .SUFFIXES: .c .i .o .h .so .dll .dyn .a .exe .txt .text .ps .pdf .html
 #------------------------------------------------------------------------------
 # these values filled in by: yorick -batch make.i
-Y_MAKEDIR=/home/soft/local/libexec/yorick
-Y_EXE=/home/soft/local/libexec/yorick/bin/yorick
+Y_MAKEDIR=
+Y_EXE=
 Y_EXE_PKGS=
-Y_EXE_HOME=/home/soft/local/libexec/yorick
-Y_EXE_SITE=/home/soft/local/libexec/yorick
+Y_EXE_HOME=
+Y_EXE_SITE=
 
 DOCDIR=$(Y_EXE_SITE)/doc
 
@@ -29,10 +29,10 @@
 	  cp -pf $$file $(DOCDIR)/$$file; \
 	  chmod 644 $(DOCDIR)/$$file; \
 	done
-	cp -pf ../README $(DOCDIR)/README.yeti; \
+	cp -pf ../README.md $(DOCDIR)/README.yeti; \
 	chmod 644 $(DOCDIR)/README.yeti
 
-html: yeti.html README
+html: yeti.html README.md

=== fftw/Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=
Y_EXE=
Y_EXE_PKGS=
Y_EXE_HOME=
Y_EXE_SITE=

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=yeti_fftw
PKG_I=yeti_fftw.i

OBJS=yeti_fftw.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS = -L/home/soft/local/lib -lrfftw -lfftw
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS = -I/home/soft/local/include -DHAVE_FFTW=1
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

# -------------------------------------------------------- end of Makefile

=== regex/Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=
Y_EXE=
Y_EXE_PKGS=
Y_EXE_HOME=
Y_EXE_SITE=

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=yeti_regex
PKG_I=yeti_regex.i

OBJS=yeti_regex.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS =
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS =
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

yeti_regex.o: yeti_regex.c

# -------------------------------------------------------- end of Makefile

=== tiff/Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=
Y_EXE=
Y_EXE_PKGS=
Y_EXE_HOME=
Y_EXE_SITE=

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=yeti_tiff
PKG_I=yeti_tiff.i

OBJS=yeti_tiff.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS = -ltiff
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS =  -DHAVE_TIFF=1
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

# -------------------------------------------------------- end of Makefile

=== debian/changelog ===
yorick-yeti (6.4.0-1.1build1) lunar; urgency=medium

  * Rebuild against latest tiff

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 07:37:32 -0500

yorick-yeti (6.4.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:31:53 +0200

yorick-yeti (6.4.0-1) unstable; urgency=low

  * New upstream release
  * Stop building obsolete package yorick-gsl

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 30 Nov 2016 13:44:38 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Hardened flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	yorick -batch debian/check.i
endif

#remove doc from SUBDIRS
override_dh_auto_build:
	$(MAKE) SUBDIRS="core fftw regex tiff" \
	        COPT_DEFAULT="" \
	        Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	        Y_LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_installyorick

clean:
	dh_testdir
	dh_testroot
	touch config.h
	$(MAKE) -C core Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean
	$(MAKE) -C fftw Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean
	$(MAKE) -C regex Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean
	$(MAKE) -C tiff Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean
	[ -e Makefile ] && $(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean || true
ifeq (,$(shell head -1 config.h))
	rm -f config.h
endif
	dh_clean yeti/zzyeti_start.i

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/Yeti-$1.tar.gz/ \
  https://github.com/emmt/Yeti/tags .*/v?(\d[\d\.]+)\.tar\.gz
